DtTermSubprocSend(library call)

NAME
DtTermSubprocSend — send data to a DtTerm widget's subprocess

SYNOPSIS

#include &<Dt/Term.h>
void DtTermSubprocSend(
Widget widget,
unsigned char *buffer,
int length);

DESCRIPTION

The DtTermSubprocSend function sends data to a DtTerm widget's child process.

The widget argument specifies the DtTerm widget ID.

The buffer argument specifies the string (single- or multi-byte depending on the locale) to be sent to the display. The string may contain NULL bytes.

The length argument specifies the length of buffer in bytes.

The DtTermSubprocSend function allows the program to send commands to the DtTerm widget's child process. The characters are handled in the same manner as keyboard input.

RETURN VALUES

The DtTermSubprocSend function returns no value.

SEE ALSO

Dt/Term.h - DtTerm(5), DtTerm(3).